Skip to main content
GET
/
api
/
v1
/
phone-numbers
/
list
List Purchased Numbers
curl --request GET \
  --url https://api.ravan.ai/api/v1/phone-numbers/list \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": [
    {
      "id": "id_123",
      "telephony_id": "telephony_123",
      "subscription_id": "subscription_123",
      "inbound_trunk_id": "inbound_trunk_123",
      "outbound_trunk_id": "outbound_trunk_123",
      "number": "+14155550100",
      "friendly_name": "Support Bot",
      "per_minute_price_inbound": 1,
      "per_minute_price_outbound": 1,
      "price": 1,
      "region": "example",
      "iso_country": "US",
      "is_active": true,
      "created_at": "2026-03-14T12:00:00Z",
      "updated_at": "2026-03-14T12:00:00Z"
    }
  ]
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Query Parameters

region
string
Region filter
iso_country
string
ISO country code filter
is_active
boolean
Filter by active status

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object[]
Returned data.
{
  "success": true,
  "message": "Request completed successfully",
  "data": [
    {
      "id": "id_123",
      "telephony_id": "telephony_123",
      "subscription_id": "subscription_123",
      "inbound_trunk_id": "inbound_trunk_123",
      "outbound_trunk_id": "outbound_trunk_123",
      "number": "+14155550100",
      "friendly_name": "Support Bot",
      "per_minute_price_inbound": 1,
      "per_minute_price_outbound": 1,
      "price": 1,
      "region": "example",
      "iso_country": "US",
      "is_active": true,
      "created_at": "2026-03-14T12:00:00Z",
      "updated_at": "2026-03-14T12:00:00Z"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

region
string

Region filter

iso_country
string

ISO country code filter

is_active
boolean

Filter by active status

Response

200 - application/json

Successful response

success
boolean
message
string
data
object[]